Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"8ae5ef39-f155-4482-87a4-ca0cbe8edb14","url":null,"userId":"21547b51-034e-4564-a4e9-f5971456049b","userUrl":null,"categoryId":"25004d57-92b4-4154-ba94-85c380e447ee","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-09-24T10:18:57.6242354+00:00","lastModifiedDateTime":"2026-09-25T06:18:57.6242354+00:00","availableFrom":"2026-09-25T10:18:57","startDateTimeZone":null,"availableUntil":"2026-09-26T10:18:57","endDateTimeZone":null,"medias":[{"id":"9e40b685-d9b7-4296-a52d-3b1db8c363dc","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"248b5b44-bb41-473c-b094-3a4bdd1d50cf","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"c02da265-1103-4903-aa05-ef9bae416821","url":null},{"type":"Department","name":"Department name example","id":"4f42e172-6aa8-4be4-b31d-1c894f53b918","url":null},{"type":"User group","name":"User group name example","id":"9891c08d-03d1-4032-91cc-f30284f06eac","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"3b9b1e60-9431-47f9-bf2a-ed22448adfa1"}],"userGroups":[{"url":null,"name":"User group name example","id":"744d545b-9029-455a-9bf8-0178a6ee504a"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string